import { getToken } from '../../utils/auth';

export const addToken = async (request, token) => {
  if (token) {
    // eslint-disable-next-line no-param-reassign
    request.tkId = token;
  } else {
    const localToken = await getToken();
    if (localToken) {
      // eslint-disable-next-line no-param-reassign
      request.tkId = localToken;
    }
  }
  return request;
};
