import { addToken } from './utils';

export const requestCode = async (token) => {
  const request = {
    type: 'uca',
    parameters: {
      action: 'request',
    },
  };
  await addToken(request, token);
  return request;
};

export const validate = async (signed, token) => {
  const request = {
    type: 'uca',
    parameters: {
      action: 'validate',
      response: encodeURIComponent(signed),
    },
  };
  await addToken(request, token);
  return request;
};

